Search Results for

Show / Hide Table of Contents

# Class View.KeyEventEventArgs

Defines the event arguments for KeyEvent

##### Inheritance

System.Object
View.KeyEventEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class KeyEventEventArgs : EventArgs

### Constructors

#### KeyEventEventArgs(KeyEvent)

Constructs.

##### Declaration

    public KeyEventEventArgs(KeyEvent ke)

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | ke |

### Properties

#### Handled

Indicates if the current Key event has already been processed and the driver should stop notifying any other event subscriber. Its important to set this value to true specially when updating any View's layout from inside the subscriber method.

##### Declaration

    public bool Handled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### KeyEvent

The KeyEvent for the event.

##### Declaration

    public KeyEvent KeyEvent { get; set; }

##### Property Value

Type | Description
--- | ---
KeyEvent |